org.wildfly.swarm.config.undertow

## Class ServletContainer<T extends ServletContainer<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.ServletContainer<T>

-     public class ServletContainer<T extends ServletContainer<T>>
      extends Object

  A servlet container

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServletContainer.ServletContainerResources` Child mutators for ServletContainer
    `static class` | `ServletContainer.StackTraceOnError`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletContainer(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `allowNonStandardWrappers()` If true then request and response wrappers that do not extend the standard wrapper classes can be used
    `T` | `allowNonStandardWrappers(Boolean value)` If true then request and response wrappers that do not extend the standard wrapper classes can be used
    `T` | `crawlerSessionManagementSetting()` Configures special session handling for crawler bots
    `T` | `crawlerSessionManagementSetting(CrawlerSessionManagementSetting value)` Configures special session handling for crawler bots
    `T` | `crawlerSessionManagementSetting(CrawlerSessionManagementSettingConsumer consumer)` Configures special session handling for crawler bots
    `T` | `crawlerSessionManagementSetting(CrawlerSessionManagementSettingSupplier supplier)` Configures special session handling for crawler bots
    `String` | `defaultBufferCache()` The buffer cache to use for caching static resources
    `T` | `defaultBufferCache(String value)` The buffer cache to use for caching static resources
    `String` | `defaultEncoding()` Default encoding to use for all deployed applications
    `T` | `defaultEncoding(String value)` Default encoding to use for all deployed applications
    `Integer` | `defaultSessionTimeout()` The default session timeout (in minutes) for all applications deployed in the container.
    `T` | `defaultSessionTimeout(Integer value)` The default session timeout (in minutes) for all applications deployed in the container.
    `Boolean` | `directoryListing()` If directory listing should be enabled for default servlets.
    `T` | `directoryListing(Boolean value)` If directory listing should be enabled for default servlets.
    `Boolean` | `disableCachingForSecuredPages()` If Undertow should set headers to disable caching for secured paged.
    `T` | `disableCachingForSecuredPages(Boolean value)` If Undertow should set headers to disable caching for secured paged.
    `Boolean` | `disableFileWatchService()` If this is true then the file watch service will not be used to monitor exploded deployments for changes
    `T` | `disableFileWatchService(Boolean value)` If this is true then the file watch service will not be used to monitor exploded deployments for changes
    `Boolean` | `disableSessionIdReuse()` If this is true then an unknown session ID will never be reused, and a new session id will be generated.
    `T` | `disableSessionIdReuse(Boolean value)` If this is true then an unknown session ID will never be reused, and a new session id will be generated.
    `Boolean` | `eagerFilterInitialization()` If true undertow calls filter init() on deployment start rather than when first requested.
    `T` | `eagerFilterInitialization(Boolean value)` If true undertow calls filter init() on deployment start rather than when first requested.
    `String` | `getKey()`
    `Boolean` | `ignoreFlush()` Ignore flushes on the servlet output stream.
    `T` | `ignoreFlush(Boolean value)` Ignore flushes on the servlet output stream.
    `T` | `jspSetting()` JSP container configuration.
    `T` | `jspSetting(JSPSetting value)` JSP container configuration.
    `T` | `jspSetting(JSPSettingConsumer consumer)` JSP container configuration.
    `T` | `jspSetting(JSPSettingSupplier supplier)` JSP container configuration.
    `Integer` | `maxSessions()` The maximum number of sessions that can be active at one time
    `T` | `maxSessions(Integer value)` The maximum number of sessions that can be active at one time
    `T` | `mimeMapping(MimeMapping value)` Add the MimeMapping object to the list of subresources
    `T` | `mimeMapping(MimeMappingSupplier supplier)` Install a supplied MimeMapping object to the list of subresources
    `T` | `mimeMapping(String childKey)` Create and configure a MimeMapping object to the list of subresources
    `T` | `mimeMapping(String childKey, MimeMappingConsumer consumer)` Create and configure a MimeMapping object to the list of subresources
    `T` | `mimeMappings(List<MimeMapping> value)` Add all MimeMapping objects to this subresource
    `T` | `persistentSessionsSetting()` Session persistence sessions
    `T` | `persistentSessionsSetting(PersistentSessionsSetting value)` Session persistence sessions
    `T` | `persistentSessionsSetting(PersistentSessionsSettingConsumer consumer)` Session persistence sessions
    `T` | `persistentSessionsSetting(PersistentSessionsSettingSupplier supplier)` Session persistence sessions
    `Boolean` | `proactiveAuthentication()` If proactive authentication should be used.
    `T` | `proactiveAuthentication(Boolean value)` If proactive authentication should be used.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `sessionCookieSetting()` Session cookie configuration
    `T` | `sessionCookieSetting(SessionCookieSetting value)` Session cookie configuration
    `T` | `sessionCookieSetting(SessionCookieSettingConsumer consumer)` Session cookie configuration
    `T` | `sessionCookieSetting(SessionCookieSettingSupplier supplier)` Session cookie configuration
    `Integer` | `sessionIdLength()` The length of the generated session ID.
    `T` | `sessionIdLength(Integer value)` The length of the generated session ID.
    `ServletContainer.StackTraceOnError` | `stackTraceOnError()` If an error page with the stack trace should be generated on error.
    `T` | `stackTraceOnError(ServletContainer.StackTraceOnError value)` If an error page with the stack trace should be generated on error.
    `ServletContainer.ServletContainerResources` | `subresources()`
    `Boolean` | `useListenerEncoding()` Use encoding defined on listener
    `T` | `useListenerEncoding(Boolean value)` Use encoding defined on listener
    `T` | `websocketsSetting()` If websockets are enabled for this container
    `T` | `websocketsSetting(WebsocketsSetting value)` If websockets are enabled for this container
    `T` | `websocketsSetting(WebsocketsSettingConsumer consumer)` If websockets are enabled for this container
    `T` | `websocketsSetting(WebsocketsSettingSupplier supplier)` If websockets are enabled for this container
    `T` | `welcomeFile(String childKey)` Create and configure a WelcomeFile object to the list of subresources
    `T` | `welcomeFile(String childKey, WelcomeFileConsumer consumer)` Create and configure a WelcomeFile object to the list of subresources
    `T` | `welcomeFile(WelcomeFile value)` Add the WelcomeFile object to the list of subresources
    `T` | `welcomeFile(WelcomeFileSupplier supplier)` Install a supplied WelcomeFile object to the list of subresources
    `T` | `welcomeFiles(List<WelcomeFile> value)` Add all WelcomeFile objects to this subresource

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletContainer

          public ServletContainer(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ServletContainer.ServletContainerResources subresources()

    - #### mimeMappings

          public T mimeMappings(List<MimeMapping> value)

      Add all MimeMapping objects to this subresource
      Parameters:
        `value` - List of MimeMapping objects.
      Returns:
        this

    - #### mimeMapping

          public T mimeMapping(MimeMapping value)

      Add the MimeMapping object to the list of subresources
      Parameters:
        `value` - The MimeMapping to add
      Returns:
        this

    - #### mimeMapping

          public T mimeMapping(String childKey,
                               MimeMappingConsumer consumer)

      Create and configure a MimeMapping object to the list of subresources
      Parameters:
        `key` - The key for the MimeMapping resource
        `config` - The MimeMappingConsumer to use
      Returns:
        this

    - #### mimeMapping

          public T mimeMapping(String childKey)

      Create and configure a MimeMapping object to the list of subresources
      Parameters:
        `key` - The key for the MimeMapping resource
      Returns:
        this

    - #### mimeMapping

          public T mimeMapping(MimeMappingSupplier supplier)

      Install a supplied MimeMapping object to the list of subresources

    - #### welcomeFiles

          public T welcomeFiles(List<WelcomeFile> value)

      Add all WelcomeFile objects to this subresource
      Parameters:
        `value` - List of WelcomeFile objects.
      Returns:
        this

    - #### welcomeFile

          public T welcomeFile(WelcomeFile value)

      Add the WelcomeFile object to the list of subresources
      Parameters:
        `value` - The WelcomeFile to add
      Returns:
        this

    - #### welcomeFile

          public T welcomeFile(String childKey,
                               WelcomeFileConsumer consumer)

      Create and configure a WelcomeFile object to the list of subresources
      Parameters:
        `key` - The key for the WelcomeFile resource
        `config` - The WelcomeFileConsumer to use
      Returns:
        this

    - #### welcomeFile

          public T welcomeFile(String childKey)

      Create and configure a WelcomeFile object to the list of subresources
      Parameters:
        `key` - The key for the WelcomeFile resource
      Returns:
        this

    - #### welcomeFile

          public T welcomeFile(WelcomeFileSupplier supplier)

      Install a supplied WelcomeFile object to the list of subresources

    - #### persistentSessionsSetting

          public T persistentSessionsSetting(PersistentSessionsSetting value)

      Session persistence sessions

    - #### persistentSessionsSetting

          public T persistentSessionsSetting(PersistentSessionsSettingConsumer consumer)

      Session persistence sessions

    - #### persistentSessionsSetting

          public T persistentSessionsSetting()

      Session persistence sessions

    - #### persistentSessionsSetting

          public T persistentSessionsSetting(PersistentSessionsSettingSupplier supplier)

      Session persistence sessions

    - #### crawlerSessionManagementSetting

          public T crawlerSessionManagementSetting(CrawlerSessionManagementSetting value)

      Configures special session handling for crawler bots

    - #### crawlerSessionManagementSetting

          public T crawlerSessionManagementSetting(CrawlerSessionManagementSettingConsumer consumer)

      Configures special session handling for crawler bots

    - #### crawlerSessionManagementSetting

          public T crawlerSessionManagementSetting()

      Configures special session handling for crawler bots

    - #### crawlerSessionManagementSetting

          public T crawlerSessionManagementSetting(CrawlerSessionManagementSettingSupplier supplier)

      Configures special session handling for crawler bots

    - #### jspSetting

          public T jspSetting(JSPSetting value)

      JSP container configuration.

    - #### jspSetting

          public T jspSetting(JSPSettingConsumer consumer)

      JSP container configuration.

    - #### jspSetting

          public T jspSetting()

      JSP container configuration.

    - #### jspSetting

          public T jspSetting(JSPSettingSupplier supplier)

      JSP container configuration.

    - #### websocketsSetting

          public T websocketsSetting(WebsocketsSetting value)

      If websockets are enabled for this container

    - #### websocketsSetting

          public T websocketsSetting(WebsocketsSettingConsumer consumer)

      If websockets are enabled for this container

    - #### websocketsSetting

          public T websocketsSetting()

      If websockets are enabled for this container

    - #### websocketsSetting

          public T websocketsSetting(WebsocketsSettingSupplier supplier)

      If websockets are enabled for this container

    - #### sessionCookieSetting

          public T sessionCookieSetting(SessionCookieSetting value)

      Session cookie configuration

    - #### sessionCookieSetting

          public T sessionCookieSetting(SessionCookieSettingConsumer consumer)

      Session cookie configuration

    - #### sessionCookieSetting

          public T sessionCookieSetting()

      Session cookie configuration

    - #### sessionCookieSetting

          public T sessionCookieSetting(SessionCookieSettingSupplier supplier)

      Session cookie configuration

    - #### allowNonStandardWrappers

          public Boolean allowNonStandardWrappers()

      If true then request and response wrappers that do not extend the standard wrapper classes can be used

    - #### allowNonStandardWrappers

          public T allowNonStandardWrappers(Boolean value)

      If true then request and response wrappers that do not extend the standard wrapper classes can be used

    - #### defaultBufferCache

          public String defaultBufferCache()

      The buffer cache to use for caching static resources

    - #### defaultBufferCache

          public T defaultBufferCache(String value)

      The buffer cache to use for caching static resources

    - #### defaultEncoding

          public String defaultEncoding()

      Default encoding to use for all deployed applications

    - #### defaultEncoding

          public T defaultEncoding(String value)

      Default encoding to use for all deployed applications

    - #### defaultSessionTimeout

          public Integer defaultSessionTimeout()

      The default session timeout (in minutes) for all applications deployed in the container.

    - #### defaultSessionTimeout

          public T defaultSessionTimeout(Integer value)

      The default session timeout (in minutes) for all applications deployed in the container.

    - #### directoryListing

          public Boolean directoryListing()

      If directory listing should be enabled for default servlets.

    - #### directoryListing

          public T directoryListing(Boolean value)

      If directory listing should be enabled for default servlets.

    - #### disableCachingForSecuredPages

          public Boolean disableCachingForSecuredPages()

      If Undertow should set headers to disable caching for secured paged. Disabling this can cause security problems, as sensitive pages may be cached by an intermediary.

    - #### disableCachingForSecuredPages

          public T disableCachingForSecuredPages(Boolean value)

      If Undertow should set headers to disable caching for secured paged. Disabling this can cause security problems, as sensitive pages may be cached by an intermediary.

    - #### disableFileWatchService

          public Boolean disableFileWatchService()

      If this is true then the file watch service will not be used to monitor exploded deployments for changes

    - #### disableFileWatchService

          public T disableFileWatchService(Boolean value)

      If this is true then the file watch service will not be used to monitor exploded deployments for changes

    - #### disableSessionIdReuse

          public Boolean disableSessionIdReuse()

      If this is true then an unknown session ID will never be reused, and a new session id will be generated. If this is false then it will be re-used if and only if it is present in the session manager of another deployment, to allow the same session id to be shared between applications on the same server.

    - #### disableSessionIdReuse

          public T disableSessionIdReuse(Boolean value)

      If this is true then an unknown session ID will never be reused, and a new session id will be generated. If this is false then it will be re-used if and only if it is present in the session manager of another deployment, to allow the same session id to be shared between applications on the same server.

    - #### eagerFilterInitialization

          public Boolean eagerFilterInitialization()

      If true undertow calls filter init() on deployment start rather than when first requested.

    - #### eagerFilterInitialization

          public T eagerFilterInitialization(Boolean value)

      If true undertow calls filter init() on deployment start rather than when first requested.

    - #### ignoreFlush

          public Boolean ignoreFlush()

      Ignore flushes on the servlet output stream. In most cases these just hurt performance for no good reason.

    - #### ignoreFlush

          public T ignoreFlush(Boolean value)

      Ignore flushes on the servlet output stream. In most cases these just hurt performance for no good reason.

    - #### maxSessions

          public Integer maxSessions()

      The maximum number of sessions that can be active at one time

    - #### maxSessions

          public T maxSessions(Integer value)

      The maximum number of sessions that can be active at one time

    - #### proactiveAuthentication

          public Boolean proactiveAuthentication()

      If proactive authentication should be used. If this is true a user will always be authenticated if credentials are present.

    - #### proactiveAuthentication

          public T proactiveAuthentication(Boolean value)

      If proactive authentication should be used. If this is true a user will always be authenticated if credentials are present.

    - #### sessionIdLength

          public Integer sessionIdLength()

      The length of the generated session ID. Longer session ID's are more secure. This number refers to the number of bytes of randomness that are used to generate the session ID, the actual ID that is sent to the client will be base64 encoded so will be approximately 33% larger (e.g. a session id length of 30 will result in a cookie value of length 40).

    - #### sessionIdLength

          public T sessionIdLength(Integer value)

      The length of the generated session ID. Longer session ID's are more secure. This number refers to the number of bytes of randomness that are used to generate the session ID, the actual ID that is sent to the client will be base64 encoded so will be approximately 33% larger (e.g. a session id length of 30 will result in a cookie value of length 40).

    - #### stackTraceOnError

          public ServletContainer.StackTraceOnError stackTraceOnError()

      If an error page with the stack trace should be generated on error. Values are all, none and local-only

    - #### stackTraceOnError

          public T stackTraceOnError(ServletContainer.StackTraceOnError value)

      If an error page with the stack trace should be generated on error. Values are all, none and local-only

    - #### useListenerEncoding

          public Boolean useListenerEncoding()

      Use encoding defined on listener

    - #### useListenerEncoding

          public T useListenerEncoding(Boolean value)

      Use encoding defined on listener

Copyright © 2018 JBoss by Red Hat. All rights reserved.